Subject: Re: [PATCH net 2/3] bnxt_en: Set TSO max segs on devices with limits

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Jun 2024 17:13:01 -0700

On Tue, 18 Jun 2024 14:53:12 -0700 Michael Chan wrote:
> Firmware will now advertise a non-zero TSO max segments if the
> device has a limit.  0 means no limit.  The latest 5760X chip
> (early revs) has a limit of 2047 that cannot be exceeded.  If
> exceeded, the chip will send out just a small number of segments.

If we're only going to see 0 or 2047 pulling in the FW interface update
and depending on newer FW version isn't a great way to fix this, IMHO.

TCP has min MSS of 500+ bytes, so 2k segments gives us 1MB LSO at min
legitimate segment size, right? So this is really just a protection
against bugs in the TCP stack, letting MSS slide below 100.

For a fix I'd just hardcode this to 2047 or even just 1k, and pull in
the new FW interface to make it configurable in net-next.
-- 
pw-bot: cr